
/* Chrysalide - Outil d'analyse de fichiers binaires
 * container-int.h - définitions internes propres aux intégrateurs de contenu
 *
 * Copyright (C) 2016 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ARCH_SHARING_CONTAINER_INT_H
#define _ARCH_SHARING_CONTAINER_INT_H


#include "container.h"



/* Assure la mise à jour du contenu d'un intégrateur. */
typedef void (* replace_shared_fc) (GShareContainer *, GSharedInstance *, GSharedInstance *);


/* Règles de partage d'une instance GObject (interface) */
struct _GShareContainerIface
{
    GTypeInterface base_iface;              /* A laisser en premier        */

    replace_shared_fc replace;              /* Mise à jour du conteneur    */

};


/* Redéfinition */
typedef GShareContainerIface GShareContainerInterface;



#endif  /* _ARCH_SHARING_CONTAINER_INT_H */
