
/* Chrysalide - Outil d'analyse de fichiers binaires
 * gtksourceview.h - prototypes pour l'affichage de code source
 *
 * Copyright (C) 2010-2014 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _GTK_SOURCEVIEW_H
#define _GTK_SOURCEVIEW_H


#include <glib-object.h>
#include <gtk/gtk.h>



#define GTK_TYPE_SOURCE_VIEW                  (gtk_source_view_get_type())
#define GTK_SOURCE_VIEW(obj)                  (G_TYPE_CHECK_INSTANCE_CAST((obj), GTK_TYPE_SOURCE_VIEW, GtkSourceView))
#define GTK_SOURCE_VIEW_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), GTK_TYPE_SOURCE_VIEW, GtkSourceViewClass))
#define GTK_IS_SOURCE_VIEW(obj)               (G_TYPE_CHECK_INSTANCE_TYPE((obj), GTK_TYPE_SOURCE_VIEW))
#define GTK_IS_SOURCE_VIEW_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), GTK_TYPE_SOURCE_VIEW))
#define GTK_SOURCE_VIEW_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS((obj), GTK_TYPE_SOURCE_VIEW, GtkSourceViewClass))


/* Composant d'affichage de code source (instance) */
typedef struct _GtkSourceView GtkSourceView;

/* Composant d'affichage de code source (classe) */
typedef struct _GtkSourceViewClass GtkSourceViewClass;


/* Détermine le type du composant d'affichage de code source. */
GType gtk_source_view_get_type(void);

/* Crée un nouveau composant pour l'affichage de code source. */
GtkWidget *gtk_source_view_new(void);



#endif  /* _GTK_SOURCEVIEW_H */
